<template>
  <view>
    <mp-html :content="html" domain="https://cs001.kasitesoft.com"  />
  </view>
</template>

<script>
// 需要测试 nvue 时，将本文件后缀改为 .nvue 即可
// 注意：此示例不包含编辑功能
import mpHtml from '@/components/mp-html/mp-html'
import html from '../../content'
export default {
  // HBuilderX 2.5.5+ 可以通过 easycom 自动引入
  components: {
    mpHtml
  },
  data () {
    return {
      html: '',
    }
  },
  onLoad () {
    // 模拟网络请求
    setTimeout(() => {
      this.html = `<aliyun-video contenteditable="false" data-aliyun-video="" data-id="9096b8cdaad071eebd5b0764a0ec0102">&nbsp;</aliyun-video>`
    }, 200)
  },
  methods: {
    load () {
      console.log('dom 树加载完毕')
    },
    ready (e) {
      console.log('ready 事件触发：', e)
    },
    imgtap (e) {
      console.log('imgtap 事件触发：', e)
    },
    linktap (e) {
      console.log('linktap 事件触发：', e)
    }
  }
}
</script>

<style>
</style>
